## pique 1.0

=== Makefile ===
#@(#)Makefile  2017-01-13  A.J.Travis and A.Douglas

#
# pique: parallel identification of QTL's using EMMAX
#
# A software pipeline for performing GWAS (Genome Wide Association Studies)
#

# installation directory
DIR = /usr/local/pique

EMMAX = /usr/local/bin/emmax
PLINK = /usr/bin/p-link
EIGENSTRAT = /usr/local/EIGENSOFT/bin/eigenstrat
R = /usr/bin/R
FORECAST = /usr/lib/R/site-library/forecast
PARALLEL = /usr/share/perl5/Parallel
READONLY = /usr/share/perl5/Readonly.pm
BIN = bin/GWAS_manhattanplots bin/pique-input bin/pique-run
ETC = etc/profile.d/EIGENSOFT.sh etc/profile.d/pique.sh

TARGETS = $(EMMAX) $(PLINK) $(EIGENSTRAT) $(R) $(FORECAST) $(READONLY) $(PARALLEL) $(BIN) $(ETC)

help:
	@echo 'Type "sudo make install" to install "pique"'

all: $(TARGETS)

# install pique
install: $(TARGETS)
	install -d $(DIR)/bin $(DIR)/doc
	install -C -o root -g root bin/* $(DIR)/bin
	install -C -o root -g root etc/profile.d/* /etc/profile.d

# perl scripts
#pique-input: bin/pique-input
#pique-run: bin/pique-run

# install "EMMAX"
$(EMMAX): emmax-beta-07Mar2010.tar.gz
	tar xvf $<
	install -C -o root -g root emmax-beta-07Mar2010/emmax* /usr/local/bin/

emmax-beta-07Mar2010.tar.gz:
	wget http://genetics.cs.ucla.edu/emmax/$@

# install PLINK
$(PLINK):
	apt install plink

plink_linux_x86_64.zip:
	wget https://www.cog-genomics.org/static/bin/plink161202/$@

# install "EIGENSOFT"
$(EIGENSTRAT): EIG5.0.2.tar.gz
	tar xvf $<
	install -d /usr/local/EIGENSOFT/bin
	install -C -o root -g root EIG5.0.2/bin/* /usr/local/EIGENSOFT/bin

EIG5.0.2.tar.gz:
	wget http://cdn1.sph.harvard.edu/wp-content/uploads/sites/181/2014/05/$@

# install R
$(R):
	echo "Please install R"...

# install CRAN forecast library
$(FORECAST):
	apt install r-cran-forecast

# install Parallel::ForkManager
$(PARALLEL):
	apt install libparallel-forkmanager-perl

# install Perl Readonly module
$(READONLY):
	apt install libreadonly-perl

%.pdf: %.odt
	lowriter --headless --convert-to pdf $< --outdir $$(dirname $<)

clean:
	rm -f *.log

clobber: clean
	rm -rf EIG5.0.2*  emmax-beta-07Mar2010*

=== doc/Makefile ===
#@(#)Makefile 2017-01-13  A.J.Travis and A.Douglas

#
# PIQUE documentation
#

TARGETS = pique_manual.pdf pique_tutorial.pdf

all: $(TARGETS)

%.pdf: %.odt
	lowriter --headless --convert-to pdf $<

clean:
	rm -f *.log

clobber: clean
	rm -f $(TARGETS)

=== test/Makefile ===
#@(#)Makefile  2017-10-05  A.J.Travis and A.Douglas

#
# PIQUE - Parallel Identification Of QTL's using EMMAX
#

WGET = wget --no-check-certificate 
PLINK = p-link
PIQUE-INPUT = pique-input
PIQUE-RUN = pique-run
PHENO_GROUP = rice_phenotype_group.txt
PHENO = rice_phenotype.txt
IPREFIX = sativas413
OPREFIX = sativas_GWAS
TPREFIX = sativas_GWAS_trans
GPREFIX = sativas_group_GWAS
GROUPS = ADMIX AUS IND TEJ TRJ
THREADS = 16
OPT = -d -v
TEST := $(dir $(realpath $(firstword $(MAKEFILE_LIST))))
PATH := $(realpath $(TEST)/../bin):$(PATH)

all:  input run

debug:
	which GWAS_manhattanplots

input: $(IPREFIX).ped
	$(PIQUE-INPUT) $(OPT) -i $(IPREFIX) -o $(OPREFIX) -p $(PHENO) -k -c -e 5

run: $(OPREFIX)
	$(PIQUE-RUN) $(OPT) -i $(OPREFIX) -k IBS -c $(OPREFIX).covar -n $(THREADS)

trans: $(IPREFIX).ped
	$(PIQUE-INPUT) $(OPT) -i $(IPREFIX) -o $(TPREFIX) -p $(PHENO) -k -c -e 5
	$(PIQUE-RUN) $(OPT) -i $(TPREFIX) -k IBS -c $(TPREFIX).covar -n $(THREADS) -t BC

group: $(IPREFIX).ped
	$(PIQUE-INPUT) $(OPT) -i $(IPREFIX) -o $(GPREFIX) -p $(PHENO_GROUP) -k -c -e 5
	$(PIQUE-RUN) $(OPT) -i $(GPREFIX) -k IBS -c $(GPREFIX).covar -n $(THREADS)
	for group in $(GROUPS); do \
	    prefix=$(GPREFIX)\_$$group; \
	    $(PIQUE-RUN) $(OPT) -i $$prefix -k IBS -n $(THREADS); \
	done

$(IPREFIX).ped:
	$(WGET) http://ricediversity.org/data/sets/44kgwas/RiceDiversity.44K.MSU6.Genotypes_PLINK.zip
	unzip RiceDiversity.44K.MSU6.Genotypes_PLINK.zip
	mv -i ./RiceDiversity_44K_Genotypes_PLINK/sativas* .
	rmdir RiceDiversity_44K_Genotypes_PLINK
	rm RiceDiversity.44K.MSU6.Genotypes_PLINK.zip

test: test.vcf
	$(PIQUE-INPUT) $(OPT) -i $@ -f vcf -o $@_vcf -p $(PHENO) -k -c -e 5
	$(PIQUE-RUN) -i $@_vcf -k IBS -c $@_vcf.covar -t $(THREADS)

test.vcf: $(IPREFIX).ped $(IPREFIX).map
	$(PLINK) --file $(IPREFIX) --recode-vcf --out $(basename $@)

ld:
	$(PLINK) --file $(IPREFIX)_recode12 --r --out $(OPREFIX)_r
	$(PLINK) --file $(IPREFIX)_recode12 --r2 --out $(OPREFIX)_r2

blocks:
	$(PLINK) --file $(IPREFIX)_recode12 --blocks no-pheno-req --out $(OPREFIX)_blocks

diff:
	-diff -x '.??*' -x Makefile -x '*.log' -rq ../ref .

plot: files.txt
	GWAS_manhattanplots -b 0.1 -q -y 12 -i files.txt

clean:
	rm -f RiceDiversity.44K.MSU6.Genotypes_PLINK.zip
	rm -rf RiceDiversity_44K_Genotypes_PLINK sativas413*
	rm -rf __MACOSX
	rm -rf $(OPREFIX)* $(GPREFIX)*
	rm -f .pversion *.log

clobber: clean
	rm -f RiceDiversity.44K.MSU6.Genotypes_PLINK.zip
	rm -f $(IPREFIX)_recode12.*

=== debian/changelog ===
pique (1.0-7) unstable; urgency=medium

  [ Komolehin Israel Timilehin ]
  * Team upload
  * Added patch to fix smartpca command
  * Added autopkgtest (Closes: #986194)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Tue, 12 Dec 2023 16:57:46 +0000

pique (1.0-6) unstable; urgency=medium

  * Team upload.
  * d/control: fix probable typo in package dependency.
  * d/copyright: bump copyright year.

 -- Étienne Mollier <emollier@debian.org>  Sat, 07 Jan 2023 14:32:12 +0100

pique (1.0-5) unstable; urgency=medium

  * Build-Depends: r-bioc-multtest (as per user request)

 -- Andreas Tille <tille@debian.org>  Sun, 04 Dec 2022 06:28:17 +0100

pique (1.0-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 17:22:30 +0100

pique (1.0-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + pique-doc: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 13:36:42 +0200

pique (1.0-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Fri, 23 Oct 2020 14:44:32 +0200

pique (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #965366)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jul 2020 23:05:27 +0200

=== debian/control ===
Source: pique
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/pique
Vcs-Git: https://salsa.debian.org/med-team/pique.git
Homepage: https://github.com/tony-travis/PIQUE/
Rules-Requires-Root: no

Package: pique
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         r-base-core,
         emmax,
         plink,
         eigensoft,
         libreadonly-perl,
         libparallel-forkmanager-perl,
         libfile-slurp-perl,
         r-cran-getopt,
         r-cran-forecast,
         r-bioc-multtest,
         r-cran-optparse,
         r-cran-uroot
Description: software pipeline for performing genome wide association studies
 PIQUE is a software pipeline for performing genome wide association
 studies (GWAS). The main function of PIQUE is to provide ‘convenience’
 wrappers that allow users to perform GWAS using the popular program
 EMMAX (Kang et al., 2010) without the need to be familiar with all of
 the software tools used to generate the required EMMAX input files.
 PIQUE will also perform a number of quality control steps prior to
 running EMMAX, ensuring that the various input data files are in the
 correct format. PIQUE proceeds in two main stages although there are
 multiple entry and exit points from which the pipeline can be run. The
 first stage consists of running the “pique-input” program, which can
 read genotype and phenotype information in several different formats and
 generates all the necessary input files required to run EMMAX. The
 second step in the pipeline uses the “pique-run” program to actually run
 EMMAX using the files generated by “pique-input” (or pre-existing
 user-supplied input files) to perform the GWAS and output the analysis
 summary files.

Package: pique-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: pique
Multi-Arch: foreign
Description: software pipeline for performing genome wide association studies (docs)
 PIQUE is a software pipeline for performing genome wide association
 studies (GWAS). The main function of PIQUE is to provide ‘convenience’
 wrappers that allow users to perform GWAS using the popular program
 EMMAX (Kang et al., 2010) without the need to be familiar with all of
 the software tools used to generate the required EMMAX input files.
 PIQUE will also perform a number of quality control steps prior to
 running EMMAX, ensuring that the various input data files are in the
 correct format. PIQUE proceeds in two main stages although there are
 multiple entry and exit points from which the pipeline can be run. The
 first stage consists of running the “pique-input” program, which can
 read genotype and phenotype information in several different formats and
 generates all the necessary input files required to run EMMAX. The
 second step in the pipeline uses the “pique-run” program to actually run
 EMMAX using the files generated by “pique-input” (or pre-existing
 user-supplied input files) to perform the GWAS and output the analysis
 summary files.
 .
 This package contains the documentation as well as example data.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, wget, r-cran-hmisc
Restrictions: allow-stderr, needs-internet

## pique 1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#@(#)Makefile  2017-01-13  A.J.Travis and A.Douglas
+#@(#)Makefile  2021-05-22  A.J.Travis and A.Douglas
 
 #
 # pique: parallel identification of QTL's using EMMAX
@@ -9,9 +9,9 @@
 # installation directory
 DIR = /usr/local/pique
 
-EMMAX = /usr/local/bin/emmax
+EMMAX = /usr/bin/emmax
 PLINK = /usr/bin/p-link
-EIGENSTRAT = /usr/local/EIGENSOFT/bin/eigenstrat
+EIGENSTRAT = /usr/lib/eigensoft/smartpca
 R = /usr/bin/R
 FORECAST = /usr/lib/R/site-library/forecast
 PARALLEL = /usr/share/perl5/Parallel
@@ -37,9 +37,8 @@
 #pique-run: bin/pique-run
 
 # install "EMMAX"
-$(EMMAX): emmax-beta-07Mar2010.tar.gz
-	tar xvf $<
-	install -C -o root -g root emmax-beta-07Mar2010/emmax* /usr/local/bin/
+$(EMMAX):
+	apt install emmax
 
 emmax-beta-07Mar2010.tar.gz:
 	wget http://genetics.cs.ucla.edu/emmax/$@
@@ -52,13 +51,15 @@
 	wget https://www.cog-genomics.org/static/bin/plink161202/$@
 
 # install "EIGENSOFT"
-$(EIGENSTRAT): EIG5.0.2.tar.gz
-	tar xvf $<
-	install -d /usr/local/EIGENSOFT/bin
-	install -C -o root -g root EIG5.0.2/bin/* /usr/local/EIGENSOFT/bin
-
-EIG5.0.2.tar.gz:
-	wget http://cdn1.sph.harvard.edu/wp-content/uploads/sites/181/2014/05/$@
+#$(EIGENSTRAT): EIG5.0.2.tar.gz
+#	tar xvf $<
+#	install -d /usr/local/EIGENSOFT/bin
+#	install -C -o root -g root EIG5.0.2/bin/* /usr/local/EIGENSOFT/bin
+#
+#EIG5.0.2.tar.gz:
+#	wget http://cdn1.sph.harvard.edu/wp-content/uploads/sites/181/2014/05/$@
+$(EIGENSTRAT):
+	apt install eigensoft
 
 # install R
 $(R):

=== test/Makefile ===
#@(#)Makefile  2025-04-30  A.J.Travis and A.Douglas, last modified by Étienne Mollier

#
# PIQUE - Parallel Identification Of QTL's using EMMAX
#

PLINK = plink1.9
PIQUE-INPUT = pique-input
PIQUE-RUN = pique-run
PHENO_GROUP = rice_phenotype_group.txt
PHENO = rice_phenotype.txt
PLOT_FILES = plot_files.txt
IPREFIX = sativas413
OPREFIX = sativas_GWAS
TPREFIX = sativas_GWAS_trans
GPREFIX = sativas_group_GWAS
GROUPS = ADMIX AUS IND TEJ TRJ
THREADS = 16
OPT = -d -v
TEST := $(dir $(realpath $(firstword $(MAKEFILE_LIST))))
PATH := $(realpath $(TEST)/../bin):$(PATH)

help:
	@echo "Targets:"
	@echo "\tinput"
	@echo "\trun"
	@echo "\ttrans"
	@echo "\tgroup"
	@echo "\ttest_vcf"
	@echo "\tld"
	@echo "\tblocks"
	@echo "\tplot"
	@echo "\tall"

all:  input run trans group test_vcf ld blocks plot

input: $(IPREFIX).ped
	$(PIQUE-INPUT) $(OPT) -i $(IPREFIX) -o $(OPREFIX) -p $(PHENO) -k -c -e 5
	touch input

run: input
	$(PIQUE-RUN) $(OPT) -i $(OPREFIX) -k IBS -c $(OPREFIX).covar -n $(THREADS)
	touch run

trans: $(IPREFIX).ped
	rm -rf $(TPREFIX)
	$(PIQUE-INPUT) $(OPT) -i $(IPREFIX) -o $(TPREFIX) -p $(PHENO) -k -c -e 5
	$(PIQUE-RUN) $(OPT) -i $(TPREFIX) -k IBS -c $(TPREFIX).covar -n $(THREADS) -t BC

group: $(IPREFIX).ped
	rm -rf $(GPREFIX)
	$(PIQUE-INPUT) $(OPT) -i $(IPREFIX) -o $(GPREFIX) -p $(PHENO_GROUP) -k -c -e 5
	$(PIQUE-RUN) $(OPT) -i $(GPREFIX) -k IBS -c $(GPREFIX).covar -n $(THREADS)
	for group in $(GROUPS); do \
	    prefix=$(GPREFIX)\_$$group; \
	    $(PIQUE-RUN) $(OPT) -i $$prefix -k IBS -n $(THREADS); \
	done

$(IPREFIX).ped $(IPREFIX).map:
	tar xf RiceDiversity_44K_Genotypes_PLINK.tar.xz
	mv -i ./RiceDiversity_44K_Genotypes_PLINK/sativas* .
	rmdir RiceDiversity_44K_Genotypes_PLINK

test_vcf: test_vcf.vcf
	rm -rf $@_GWAS
	$(PIQUE-INPUT) $(OPT) -i $@ -f vcf -o $@_GWAS -p $(PHENO) -k -c -e 5
	$(PIQUE-RUN) -i $@_GWAS -k IBS -c $@_GWAS.covar -n $(THREADS)

test_vcf.vcf: $(IPREFIX).ped $(IPREFIX).map
	$(PLINK) --file $(IPREFIX) --recode vcf --out $(basename $@)

ld: input
	$(PLINK) --file $(IPREFIX)_recode12 --r --out $(OPREFIX)_r
	$(PLINK) --file $(IPREFIX)_recode12 --r2 --out $(OPREFIX)_r2

blocks:
	$(PLINK) --file $(IPREFIX)_recode12 --blocks no-pheno-req --out $(OPREFIX)_blocks

plot: $(PLOT_FILES) run
	GWAS_manhattanplots -b 0.1 -q -y 12 -i $<

clean:
	rm -rf RiceDiversity_44K_Genotypes_PLINK sativas413*
	rm -rf __MACOSX
	rm -rf $(OPREFIX)* $(TPREFIX)* $(GPREFIX)*
	rm -rf test_vcf*
	rm -f input run
	rm -f *.bh *.png
	rm -f .pversion *.log

clobber: clean
	rm -f $(IPREFIX)_recode12.*

=== debian/changelog ===
pique (1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1  (Closes: #1104275)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: pique depends on plink1.9.
  * d/t/run-unit-test: explicitly make all tests.
  * smartpca_fix.diff: delete: upstream modified the affected logic.
  * adjust-GWAS_manhattanplots.patch: new: fix R script invocation.
  * d/copyright: comment about the test data set.

 -- Étienne Mollier <emollier@debian.org>  Thu, 01 May 2025 09:32:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/pique
 Vcs-Git: https://salsa.debian.org/med-team/pique.git
 Homepage: https://github.com/tony-travis/PIQUE/
@@ -16,7 +16,7 @@
          ${misc:Depends},
          r-base-core,
          emmax,
-         plink,
+         plink1.9,
          eigensoft,
          libreadonly-perl,
          libparallel-forkmanager-perl,

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	echo "Nothing to build.  Upstream Makefile just fetches and installs dependencies"

override_dh_auto_install:
	echo "Nothing to install.  Upstream Makefile just fetches and installs dependencies"

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.R" -exec chmod -x \{\} \;
